FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian KDE

 
 
LinkBack Thread Tools
 
Old 09-10-2010, 08:41 AM
Mario Galanti
 
Default Upgrade to 4.5.1 breaks kdiff3

Hi,

first of all, thank you for the packaging of KDE SC 4.5.1! I installed it
this morning and up to now it's running great!
As the subject says, I'm having a problem with kdiff3. The upgrade to 4.5.1
breaks one of its dependencies:

$ sudo LANG=C apt-get install kdiff3
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
kdiff3 : Depends: libkonq5 (>= 4:4.3.4) but it is not going to be
installed
E: Broken packages

I managed to install the package downloading it manually with wget and
forcing the install with dpkg:

$ sudo LANG=C dpkg --force-all -i kdiff3_0.9.95-6_amd64.deb
Selecting previously deselected package kdiff3.
(Reading database ... 345735 files and directories currently installed.)
Unpacking kdiff3 (from kdiff3_0.9.95-6_amd64.deb) ...
dpkg: kdiff3: dependency problems, but configuring anyway as you requested:
kdiff3 depends on libkonq5 (>= 4:4.3.4); however:
Package libkonq5 is not installed.
Setting up kdiff3 (0.9.95-6) ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...

and it seems to run fine (no crashes, etc), so the problem should be only
in the packaging. Since I found this workaround, I don't need any urgent
fixes, but I think it is worthwile to report the issue anyway,

Ciao and thanks again for your efforts!
Mario


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009101041.58630.mario.galanti@gmail.com">http://lists.debian.org/201009101041.58630.mario.galanti@gmail.com
 

Thread Tools




All times are GMT. The time now is 08:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org